Function
stronglyConnectedComponents
Decomposes a directed graph into its strongly connected components.
stronglyConnectedComponents(g, components)
Include Headers
seqan/graph_algorithms.h
Parameters

g | In-parameter:A directed graph. Types: Directed Graph
components | Out-parameter:A property map. Remarks: Each vertex is mapped to a component id. If two vertices share the same id they are in the same component.

Return Values
void.
Example Programs
Strongly Connected Components
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49